Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Deployment Namespace Reference

## Compounds
interface | Assembly
interface | AssemblyFactory
interface | ComponentInstallation
interface | ComponentServer
interface | Container
exception | ImplEntryPointNotFound
exception | InstallationFailure
exception | InvalidAssembly
exception | InvalidLocation
interface | ServerActivator
exception | UnknownImplId
## Typedefs
typedef string | UUID
typedef string | Location
typedef sequence< ComponentServer > | ComponentServers
typedef sequence< Container > | Containers
## Enumerations
enum | AssemblyState { INACTIVE, INSERVICE }
enum | AssemblyState { INACTIVE, INSERVICE }

## Typedef Documentation

typedef sequence< ComponentServer > Components::Deployment::ComponentServers

typedef sequence< Container > Components::Deployment::Containers

typedef string Components::Deployment::Location

typedef string Components::Deployment::UUID

## Enumeration Type Documentation

enum Components::Deployment::AssemblyState

  | Enumeration values:
  INACTIVE |
  INSERVICE |

enum Components::Deployment::AssemblyState

  | Enumeration values:
  INACTIVE |
  INSERVICE |